Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

gateway_id
string
required

Unique identifier of the MCP gateway.

Query Parameters

limit
integer<int32>

Page size between 1 and 200. Defaults to 25.

starting_after
string

Cursor for the page after the given exposed_name. Mutually exclusive with ending_before.

ending_before
string

Cursor for the page before the given exposed_name. Mutually exclusive with starting_after.

mcp_server_id
string

Returns only tools contributed by this upstream server.

Response

200 - application/json

OK

object
string

Always "list".

data
object[]

Exposed tools on the current page.

has_more
boolean

Whether further items exist beyond this page.